# Class EventObject
Event object to hold event data returned from fired events.Example usage:<pre>map.on('click', function(e:EventObject) {console.log(e.latlng, e.point, e.type, e.target, e.features);});</pre> class EventObject



## Index

### Constructors
* [constructor](_events_.eventobject.md#constructor)

### Properties
* [features](_events_.eventobject.md#features)
* [latlng](_events_.eventobject.md#latlng)
* [originalEvent](_events_.eventobject.md#originalevent)
* [point](_events_.eventobject.md#point)
* [target](_events_.eventobject.md#target)
* [type](_events_.eventobject.md#type)

## Constructors

### new EventObject(e: any): [EventObject](_events_.eventobject.md)
  
* Defined in Events.ts:49


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| e | any|  |

#### Returns: [EventObject](_events_.eventobject.md)

## Properties

### features: any

* Defined in Events.ts:49


### latlng: [LatLng](_latlng_.latlng.md)
coordinates of the event on map
* Defined in Events.ts:44


### originalEvent: Event

* Defined in Events.ts:46


### point: [Point](_point_.point.md)

* Defined in Events.ts:45


### target: Object

* Defined in Events.ts:48


### type: string

* Defined in Events.ts:47



Generated using [TypeDoc](http://typedoc.io)
